summaryrefslogtreecommitdiffstats
path: root/audio/mhwaveedit
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:49 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:49 +0200
commit999c1ed65abee216d96a9ad9b753f55afe5e9dd0 (patch)
tree143d42e6f4c92ec2e3f8c87116df7f258ab9afac /audio/mhwaveedit
parentc0b7ead6241fefb332ddfdec4aea1e0e8170cd46 (diff)
downloadslackbuilds-999c1ed65abee216d96a9ad9b753f55afe5e9dd0.tar.gz
slackbuilds-999c1ed65abee216d96a9ad9b753f55afe5e9dd0.tar.xz
audio/mhwaveedit: Moved from multimedia
Diffstat (limited to 'audio/mhwaveedit')
-rw-r--r--audio/mhwaveedit/README13
-rw-r--r--audio/mhwaveedit/doinst.sh3
-rw-r--r--audio/mhwaveedit/mhwaveedit.SlackBuild71
-rw-r--r--audio/mhwaveedit/mhwaveedit.desktop10
-rw-r--r--audio/mhwaveedit/mhwaveedit.info8
-rw-r--r--audio/mhwaveedit/mhwaveedit.pngbin0 -> 1181 bytes
-rw-r--r--audio/mhwaveedit/slack-desc12
7 files changed, 117 insertions, 0 deletions
diff --git a/audio/mhwaveedit/README b/audio/mhwaveedit/README
new file mode 100644
index 0000000000..d4146fd431
--- /dev/null
+++ b/audio/mhwaveedit/README
@@ -0,0 +1,13 @@
+mhWaveEdit is a graphical program for editing, playing and recording
+sound files. It is lightweight, portable, user-friendly and handles
+large files very well.
+
+The program itself has only simple editing features such as
+cut'n'paste and volume adjustment but it can also use Ladspa effect
+plugins and the effects provided by the SoX application. It can also
+support additional file formats besides wav through libsndfile and
+mp3/ogg import and export through lame and oggenc/oggdec.
+
+The program will use libsndfile, libsamplerate, and lame (all of them
+are available at SlackBuilds.org) if installed, but they are not
+mandatory.
diff --git a/audio/mhwaveedit/doinst.sh b/audio/mhwaveedit/doinst.sh
new file mode 100644
index 0000000000..98d466d8b9
--- /dev/null
+++ b/audio/mhwaveedit/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/mhwaveedit/mhwaveedit.SlackBuild b/audio/mhwaveedit/mhwaveedit.SlackBuild
new file mode 100644
index 0000000000..f484225869
--- /dev/null
+++ b/audio/mhwaveedit/mhwaveedit.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+### mhwaveedit.SlackBuild ###
+
+# Slackware build script for mhwaveedit 1.4.14
+# Dušan Stefanović stefanovic.dusan@gmail.com
+# Modified by David Somero <xgizzmo@slackbuilds.org>
+# and Robby Workman <rworkman@slackbuilds.org>
+
+PKGNAME=mhwaveedit
+VERSION=1.4.14
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PKGNAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PKGNAME-$VERSION
+tar xvf $CWD/$PKGNAME-$VERSION.tar.bz2 || exit 1
+cd $PKGNAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAME-$VERSION \
+ --with-double-samples \
+ --without-arts \
+ --without-esound \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PKGNAME-$VERSION
+cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PKGNAME.desktop > $PKG/usr/share/applications/$PKGNAME.desktop
+
+mkdir -p $PKG/usr/share/icons/hicolor/48x48/apps
+cat $CWD/$PKGNAME.png > $PKG/usr/share/icons/hicolor/48x48/apps/$PKGNAME.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/mhwaveedit/mhwaveedit.desktop b/audio/mhwaveedit/mhwaveedit.desktop
new file mode 100644
index 0000000000..075294fc4e
--- /dev/null
+++ b/audio/mhwaveedit/mhwaveedit.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Name=mhWaveEdit
+Comment=Record, play, and edit audio files in wav, ogg, and mp3
+Icon=mhwaveedit
+Exec=mhwaveedit --driver alsa
+Terminal=false
+Type=Application
+Categories=Application;AudioVideo;
diff --git a/audio/mhwaveedit/mhwaveedit.info b/audio/mhwaveedit/mhwaveedit.info
new file mode 100644
index 0000000000..35f30753d9
--- /dev/null
+++ b/audio/mhwaveedit/mhwaveedit.info
@@ -0,0 +1,8 @@
+PRGNAM="mhwaveedit"
+VERSION="1.4.14"
+HOMEPAGE="https://gna.org/projects/mhwaveedit"
+DOWNLOAD="http://download.gna.org/mhwaveedit/mhwaveedit-1.4.14.tar.bz2"
+MD5SUM="d49d160608c802098dbaf2b6c3eba27f"
+MAINTAINER="Dušan Stefanović"
+EMAIL="stefanovic.dusan@gmail.com"
+APPROVED="David Somero,rworkman"
diff --git a/audio/mhwaveedit/mhwaveedit.png b/audio/mhwaveedit/mhwaveedit.png
new file mode 100644
index 0000000000..2211afd5b7
--- /dev/null
+++ b/audio/mhwaveedit/mhwaveedit.png
Binary files differ
diff --git a/audio/mhwaveedit/slack-desc b/audio/mhwaveedit/slack-desc
new file mode 100644
index 0000000000..7927815fcf
--- /dev/null
+++ b/audio/mhwaveedit/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler--------------------------------------------------|
+mhwaveedit: mhwaveedit (edit, play, and record sound files)
+mhwaveedit:
+mhwaveedit: mhWaveEdit is a graphical program for editing, playing and
+mhwaveedit: recording sound files. It is lightweight, portable, user-friendly
+mhwaveedit: and handles large files very well.
+mhwaveedit:
+mhwaveedit: Homepage: https://gna.org/projects/mhwaveedit
+mhwaveedit:
+mhwaveedit:
+mhwaveedit:
+mhwaveedit: